
Foreman - Bug #18195

Foreman WebGUI times out on interfaces loading with lots of bonds/vlans (HyperVisor)

01/22/2017 09:11 PM - Yama Kasi

Status: Duplicate   

Priority: Normal   

Assignee:    

Category: Web Interface   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases: 1.13.3

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

When you have a host in Foreman which is a HyperVisor and it needs to load lots of interfaces because of the vlans that are hosted

on this Hypervisor the webbrower times out on loading.

The hostpage itself loading actually works but it takes minutes!, when you try to edit the host the webgui finally times out on the

Interfaces Tab with this as result in the production.log
Related issues:

Is duplicate of Foreman - Refactor #7829: Improve rendering of nic forms New 10/07/2014

History

#1 - 01/23/2017 01:49 AM - Marek Hulán

- Priority changed from High to Normal

- Difficulty deleted (easy)

How many interfaces do you have there?

#2 - 01/23/2017 02:21 AM - Yama Kasi

]# ls -A /sys/class/net | wc -l

*102 *

#3 - 01/23/2017 03:41 AM - Dominic Cleal

- Is duplicate of Refactor #7829: Improve rendering of nic forms added

#4 - 01/23/2017 03:41 AM - Dominic Cleal

- Status changed from New to Duplicate

Thanks for the report, I think the request to improve is tracked under existing issue #7829.

#5 - 01/24/2017 10:11 AM - Yama Kasi

Hi Dominic, OK I wil check there, I have no possibility to remove or unmanage the host as well so I hope we can find something there. I think this one

can be closed then.

#6 - 01/24/2017 10:38 AM - Yama Kasi

What would be a temporary (DB) fix to remove hosts which have this behavior ?

#7 - 03/17/2017 09:58 AM - Yama Kasi

I'm having issues with this again on 1.14.2 described here:

https://groups.google.com/forum/#!topic/foreman-users/lirO4VLTkYM

Is it not an idea to create some --force option on remove of a host so all related attributes are removed as well. Proxies can be fixed manually if

needed.
